## org.apache.fop.fo.expr
Class FopPropValFunction

    java.lang.Object
      |
      +--org.apache.fop.fo.expr.FunctionBase
            |
            +--org.apache.fop.fo.expr.FopPropValFunction

public class FopPropValFunction
extends FunctionBase

Return the specified or initial value of the property on this object.

Constructor Summary
`FopPropValFunction()`

Method Summary
`Property` `eval(Property[] args, PropertyInfo pInfo)`
`int` `nbArgs()`

Methods inherited from class org.apache.fop.fo.expr.FunctionBase
`getPercentBase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FopPropValFunction

    public FopPropValFunction()

Method Detail

### nbArgs

    public int nbArgs()

### eval

    public Property eval(Property[] args,
                         PropertyInfo pInfo)
                  throws PropertyException

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.